[arch-commits] Commit in fcitx/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Fri Apr 3 02:45:35 EDT 2009


    Date: Friday, April 3, 2009 @ 02:45:35
  Author: eric
Revision: 32957

upgpkg: fcitx 3.5.070703-2
    Added license, PKGBUILD cleanup

Modified:
  fcitx/trunk/PKGBUILD

----------+
 PKGBUILD |   17 ++++++++---------
 1 file changed, 8 insertions(+), 9 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-03 06:05:15 UTC (rev 32956)
+++ PKGBUILD	2009-04-03 06:45:35 UTC (rev 32957)
@@ -4,19 +4,18 @@
 
 pkgname=fcitx
 pkgver=3.5.070703
-basever=3.5
-origver=3.5-070703
-pkgrel=1
+pkgrel=2
 pkgdesc="Free Chinese Input Toy of X - Input Method Server for X window system (XIM)"
 arch=("i686" "x86_64")
 url="http://www.fcitx.org/"
+license=('GPL')
 depends=('libxft' 'libxpm')
-source=($url/download/$pkgname-$origver.tar.bz2)
+source=(http://www.fcitx.org/download/$pkgname-${pkgver%.*}-${pkgver##*.}.tar.bz2)
+md5sums=('1023b3febc5660101d75eb57b8948f69')
 
 build() {
-    cd $startdir/src/$pkgname-$basever
-    ./configure --prefix=/usr
-    make || return 1
-    make DESTDIR=$startdir/pkg/ install
+  cd $srcdir/$pkgname-${pkgver%.*}
+  ./configure --prefix=/usr || return 1
+  make || return 1
+  make DESTDIR=$pkgdir install || return 1
 }
-md5sums=('1023b3febc5660101d75eb57b8948f69')



More information about the arch-commits mailing list